<p id="notice"><%= notice %></p>

<h1>Posts</h1>

<table>
  <thead>
    <tr>
      <th>Username</th>
      <th>Context</th>
      <th colspan="3"></th>
    </tr>
  </thead>

  <tbody>
    <% @posts.each do |post| %>

      <% if post.user_id == current_user.id %>

        <tr>
          <td><%= post.username %> &nbsp;&nbsp; </td>
          <td><%= post.context %> &nbsp;&nbsp; </td>
          <td><%= link_to 'Show', post %> &nbsp;&nbsp; </td>
          <td><%= link_to 'Edit', edit_post_path(post) %> &nbsp;&nbsp; </td>
          <td><%= link_to 'Destroy', post, method: :delete, data: { confirm: 'Are you sure?' } %> &nbsp;&nbsp; </td>
        </tr>
      <% end %>
    <% end %>
  </tbody>
</table>

<br>

<%= link_to 'New Post', new_post_path %>
